=== debian/changelog ===
splix (2.0.0+svn306-2) unstable; urgency=low

  * Properly pre-process drv files during build. (Closes: #670823)

 -- Luca Niccoli <lultimouomo@gmail.com>  Sun, 29 Apr 2012 13:32:22 +0200

splix (2.0.0+svn306-1) unstable; urgency=low

  * New upstream version: allows installing .drv files instead of PPDs.
  * The last patent on JBIG has now expired and we have libjbig in
    Debian, let's use it. (Closes: #457650, #507247)
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Thanks to Didier Raboud for the prevois NMU.

 -- Luca Niccoli <lultimouomo@gmail.com>  Mon, 23 Apr 2012 00:01:30 +0200

splix (2.0.0+svn300-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * printer-driver-splix: Add versioned Replaces/Breaks against splix to
    ensure smooth upgrades (Closes: #655918).

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Feb 2012 19:23:30 +0100
