=== debian/changelog ===
splix (2.0.0+svn308-0ubuntu1) raring; urgency=low

  * New upstream bug fix release
     - Made pstoqpdl filter working with input from iOS (iPhone, iPad).
     - Removed support for the Samsung CLP-610 and CLP-610ND, these printers
       do not work with SpliX (LP: #898986).
  * debian/patches/0005-samsung-clp-610-610nd-do-not-work.patch: Removed,
    incorporated upstream.
  * debian/patches/0003-Rename-drv-stubs.patch: Updated for new upstream
    code.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 08 Apr 2013 11:00:10 +0200

splix (2.0.0+svn306-2ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/patches/0005-samsung-clp-610-610nd-do-not-work.patch: Removed
      support for the Samsung CLP-610 and CLP-610ND, these printers do not
      work with SpliX (LP: #898986).
    - debian/README.debian: Updated.
    - debian/local/apport-hook.py: Apport hook.
    - debian/splix.ppd-updater: Fixed for use with dynamically generated
      PPD file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat,  7 Jul 2012 20:12:00 +0200

splix (2.0.0+svn300-1.1ubuntu2) precise; urgency=low

  * debian/rules: Removed PPD files for the Samsung CLP-610 and CLP-610ND,
    these printers do not work with SpliX (LP: #898986).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  6 Mar 2012 09:20:00 +0100

splix (2.0.0+svn300-1.1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/README.debian: Updated.
    - debian/rules, debian/copyright: Activated drivers with JBIG compression,
      the patent on the algorithm expires on April 4, 2012, right before release
      of Ubuntu Precise.
    - debian/local/jbigkit-libjbig85/: Added source code of the libjbig85
      static library for JBIG compression, a part of jbigkit from
      http://www.cl.cam.ac.uk/~mgk25/jbigkit/.
    - debian/rules, debian/control, debian/splix.ppd-updater:
      Compress PPD files with pyppd.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 13:30:00 +0100
