=== debian/changelog ===
splix (2.0.0+svn315-7) unstable; urgency=medium

  * Team upload

  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Initialize git-dpm

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 17:12:05 +0100

splix (2.0.0+svn315-6) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed compilers (Closes: #837182)

  [ Didier Raboud ]
  * Drop splix transitional package which reached stable

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Sep 2016 16:01:42 +0200

splix (2.0.0+svn315-5) unstable; urgency=medium

  * Team upload

  * Bump S-V to 3.9.8 without changes needed
  * Add patch to avoid letting bash trim whitespace when compiling .drv files;
    should make the build reproducible
  * Add patch to fix the aready/already typo
  * Set hardening=+all in DEB_BUILD_MAINT_OPTIONS

 -- Didier Raboud <odyx@debian.org>  Sun, 12 Jun 2016 17:04:03 +0200

splix (2.0.0+svn315-4) unstable; urgency=medium

  * Team upload

  [ Didier Raboud <odyx@debian.org> ]
  * Depend on cups-filters (>= 1.0.36) instead of ghostscript-cups for the
    gstoraster filter (Closes: #761316)

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Sep 2014 12:19:17 +0200

splix (2.0.0+svn315-3) unstable; urgency=low

  * Team upload

  [ Luca Niccoli ]
  * Separate build of arch-independent packages

  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly

 -- Didier Raboud <odyx@debian.org>  Thu, 17 Apr 2014 08:20:55 +0200

splix (2.0.0+svn315-2) unstable; urgency=low

  * Include missing apport-hook.py in source package

 -- Luca Niccoli <lultimouomo@gmail.com>  Wed, 15 Jan 2014 19:40:27 +0100

splix (2.0.0+svn315-1) unstable; urgency=low

  * Imported Upstream SVN snapshot (revision 315)
    - Add support for Samsung ML-2160 (Closes: #696240).
    - Add support for Samsung ML-2165.
  * Drop patches that have been merged upstream
  * Imported existing quilt patches into gbp-pq and refreshed them for
    the new upstream version.
  * Set debian build flags during build.
  * Fixed splix.ppd-updater (Thanks to Till Kamppeter).
  * Add apport hook on Ubuntu and derivatives (reduces the package delta).
  * Add get-orig-source target to fetch recreate the tarball from upstream SVN.
  * Make build verbose to have more informative buildd logs.
  * Move package under the Debian Printing Team maintenance.
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Luca Niccoli <lultimouomo@gmail.com>  Fri, 03 Jan 2014 19:28:31 +0100
