=== debian/changelog ===
splix (2.0.1-2) unstable; urgency=medium

  * Team upload
  * d/copyright: Convert to machine-readable format
  * Remove old ways to get orig tarball
  * Move dh_clean file list to d/clean

  [ Alessandro Astone ]
  * Update Homepage urls

 -- Bastian Germann <bage@debian.org>  Sun, 08 Feb 2026 22:34:19 +0100

splix (2.0.1-1) unstable; urgency=medium

  * new upstream release (Closes: #1081545)
  * add patch to support appstream  (Closes: #837987)
    (Thanks a lot to Petter Reinholdtsen for the patch)
  * most patches applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Sep 2024 19:05:59 +0200

splix (2.0.0+svn315-8) unstable; urgency=medium


  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + printer-driver-splix: Drop versioned constraint on cups (>= 1.5.0-3~) in
      Depends.
    + printer-driver-splix: Drop versioned constraint on cups-filters (>=
      1.0.36) in Depends.
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Thorsten Alteholz ]
  * debian/control: add myself to Uploaders:
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Sep 2024 18:05:59 +0200
