=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	$(MAKE) V=1 cleanppd
-	$(MAKE) V=1 clean DRV_ONLY=1 
-	dh_clean optimized/pstoqpdl optimized/rastertoqpdl optimized/src/* debug/src/* .defs.mk
+	$(MAKE) V=1 clean DRV_ONLY=1
+	dh_clean
 
 install: build
 	dh_testdir
@@ -49,13 +49,14 @@
 	install -D -m 644 debian/local/apport-hook.py $(CURDIR)/debian/printer-driver-splix/usr/share/apport/package-hooks/source_splix.py
 endif
 
-binary-indep: 
+binary-indep:
 	dh_testdir -i
 	dh_testroot -i
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_installman -i
+	dh_install -i
 	dh_strip -i
 	dh_compress -i
 	dh_fixperms -i
@@ -73,6 +74,7 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installman -a
+	dh_install -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
@@ -83,18 +85,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
-
-# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
-PACKAGE = splix
-SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
-SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn//' )
-TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
-get-orig-source:
-	rm -rf get-orig-source $(TARBALL)
-	mkdir get-orig-source
-	svn export -r $(SVN_REVISION) svn://svn.code.sf.net/p/splix/code/splix \
-	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
-	GZIP='--best --no-name' tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
-	rm -rf get-orig-source
-	echo "  "$(TARBALL)" created; move it to the right destination to build the package"
+.PHONY: build clean binary-indep binary-arch binary install configure
