=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%splix-$1.tar.gz%" \
    https://github.com/OpenPrinting/splix/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
